Bug 167028 - Web Inspector: Cmd-, should open Settings tab
Summary: Web Inspector: Cmd-, should open Settings tab
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-01-13 15:59 PST by BJ Burg
Modified: 2017-01-15 21:10 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.79 KB, patch)
2017-01-13 20:29 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description BJ Burg 2017-01-13 15:59:02 PST
This matches the system-wide shortcut in all macOS apps.
Comment 1 Radar WebKit Bug Importer 2017-01-13 15:59:23 PST
<rdar://problem/30022283>
Comment 2 Devin Rousso 2017-01-13 20:29:49 PST
Created attachment 298843 [details]
Patch

So this works with "Fn⌘," but not with regular "⌘,".  Any ideas?
Comment 3 WebKit Commit Bot 2017-01-14 22:28:48 PST
Comment on attachment 298843 [details]
Patch

Clearing flags on attachment: 298843

Committed r210772: <http://trac.webkit.org/changeset/210772>
Comment 4 WebKit Commit Bot 2017-01-14 22:28:52 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Joseph Pecoraro 2017-01-15 21:10:48 PST
Is this a good idea? Does any application allow sub-windows to override the "⌘,"? Does any application have multiple preferences windows?

I have found it very disturbing to my workflow when Web Inspector overrides some of Safari's keyboard shortcuts (notably ⌘W, ⇧⌘W).

Perhaps "⌘," is so rare that it won't be a problem here.